nginx_tcp_proxy_module

BSD
C/C++
Linux
2012-03-24
红薯

nginx_tcp_proxy_module 为 Nginx 增加对 TCP 的反向代理支持,提供连接有效性检测和状态监控。

配置示例:

upstream cluster {
    # simple round-robin
    server 127.0.0.1:3306;
    server 127.0.0.1:1234;

    check interval=3000 rise=2 fall=5 timeout=1000;

    #check interval=3000 rise=2 fall=5 timeout=1000 type=ssl_hello;

    #check interval=3000 rise=2 fall=5 timeout=1000 type=http;
    #check_http_send "GET / HTTP/1.0\r\n\r\n";
    #check_http_expect_alive http_2xx http_3xx;
}

加载中

评论(0)

暂无评论

暂无资讯

1
回答
服务端通过代理访问苹果云

应用场景:app服务端通过代理访问苹果云(gateway.push.apple.com) 系统:centos6.* 想用nginx做代理转发tcp通信,打...

2014/08/27 13:21
1
回答
在lnmp环境下,运行log.io,监测日志

我在我的服务器上安装了log.io web环境是LNMP的 网上查得nginx运行log.io需要nginx_tcp_proxy_module模块 模块添...

2012/07/13 10:28

没有更多内容

加载失败,请刷新页面

没有更多内容

nginx tcp代理模块nginx_tcp_proxy_module

nginx tcp nginx_tcp_proxy_module

2015/08/19 18:04
594
0
nginx tcp代理

nginx tcp代理功能由nginx_tcp_proxy_module模块提供,同时监测后端主机状态。该模块包括的模块有: ngx_tcp_module, ngx_tcp_core_module, ngx_tcp_upstream_module, ngx_tcp_proxy_module...

2014/03/23 00:53
136
0
nginx做thrift负载均衡

thrift可以走http协议,但是考虑到性能,一般会直接走的tcp协议。nginx本身不支持tcp协议的负载均衡,需要打补丁。

2014/12/28 23:42
329
0
nginx 实现mysql的负载均衡

默认Nginx只支持http的反向代理,要想nginx支持tcp的反向代理,还需要在编译时增加tcp代理模块支持,即nginx_tcp_proxy_module 下面操作步骤只让nginx支持tcp_proxy,没有加入prce、gzip、s...

2016/02/15 17:12
3.3K
1
nginx-实现四层协议的负载均衡

前言 nginx在1.9.0的时候,增加了一个 stream 模块,用来实现四层协议(网络层和传输层)的转发、代理、负载均衡等。stream模块的用法跟http的用法类似,允许我们配置一组TCP或者UDP等协议的...

01/06 14:55
4
0
centos 安装nginx并且优化

准备工作: yum -y install gcc gcc-c++ autoconf automake make yum -y install zlib zlib-devel openssl openssl-devel pcre pcre-devel 之后我用的阿里的那个tengine-2.1.1.tar.gz(同事给...

2015/12/10 19:33
47
0
nginx+keepalived+proxy_cache 配置高可用nginx群集和高速缓存

环境: CentOS release 5.8 192.168.10.108 cat CentOS release 5.5 912.168.200.208 主调度器:192.168.10.108 192.169.10.251 备调度器:192.168.200.208 192.168.200.148 real ip : 192.1...

2014/03/23 01:21
70
0
fastdfs文件服务器安装配置

安装libevent FastDFS 内部绑定了 libevent 作为 http 服务器 ,在V2.X版本必须安装 libevent ,本文安装的是V2.2版本,因此必须安装libevent。(官方也推荐使用 http 方式下载 文件 ) 如果...

2018/08/09 18:44
17
0

没有更多内容

加载失败,请刷新页面

返回顶部
顶部